Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.rules
Class Token

    java.lang.Object
      org.eclipse.jface.text.rules.Token

All Implemented Interfaces:
  IToken

public class Token
extends Object
implements IToken

Standard implementation of `IToken`.

Field Summary
`static IToken` | `EOF` Standard token: End Of File.
`static IToken` | `OTHER` Deprecated. will be removed
`static IToken` | `UNDEFINED` Standard token: Undefined.
`static IToken` | `WHITESPACE` Standard token: Whitespace.

Constructor Summary
`Token(Object data)` Creates a new token which represents neither undefined, whitespace, nor EOF.

Method Summary
`Object` | `getData()` Return a data attached to this token.
`boolean` | `isEOF()` Return whether this token represents End Of File.
`boolean` | `isOther()` Return whether this token is neither undefined, nor whitespace, nor EOF.
`boolean` | `isUndefined()` Return whether this token is undefined.
`boolean` | `isWhitespace()` Return whether this token represents a whitespace.
`void` | `setData(Object data)` Reinitializes the data of this token.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNDEFINED

    public static final IToken UNDEFINED

  Standard token: Undefined.

### EOF

    public static final IToken EOF

  Standard token: End Of File.

### WHITESPACE

    public static final IToken WHITESPACE

  Standard token: Whitespace.

### OTHER

    public static final IToken OTHER

  Deprecated. will be removed

  Standard token: Neither `UNDEFINED`, `WHITESPACE`, nor `EOF`.

Constructor Detail

### Token

    public Token(Object data)

  Creates a new token which represents neither undefined, whitespace, nor EOF. The newly created token has the given data attached to it.

Parameters:
  `data` - the data attached to the newly created token

Method Detail

### setData

    public void setData(Object data)

  Reinitializes the data of this token. The token may not represent undefined, whitespace, or EOF.

  Parameters:
    `data` - to be attached to the token
  Since:
    2.0

### getData

    public Object getData()

  Description copied from interface: `IToken`
  Return a data attached to this token. The semantics of this data kept undefined by this interface.

  Specified by:
    `getData` in interface `IToken`
  Returns:
    the data attached to this token.

### isOther

    public boolean isOther()

  Description copied from interface: `IToken`
  Return whether this token is neither undefined, nor whitespace, nor EOF.

  Specified by:
    `isOther` in interface `IToken`
  Returns:
    `true`if this token is not undefined, not a whitespace, and not EOF

### isEOF

    public boolean isEOF()

  Description copied from interface: `IToken`
  Return whether this token represents End Of File.

  Specified by:
    `isEOF` in interface `IToken`
  Returns:
    `true`if this token represents EOF

### isWhitespace

    public boolean isWhitespace()

  Description copied from interface: `IToken`
  Return whether this token represents a whitespace.

  Specified by:
    `isWhitespace` in interface `IToken`
  Returns:
    `true`if this token represents a whitespace

### isUndefined

    public boolean isUndefined()

  Description copied from interface: `IToken`
  Return whether this token is undefined.

  Specified by:
    `isUndefined` in interface `IToken`
  Returns:
    `true`if this token is undefined

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.